import request from "@/utils/request";

// 获得WMS库内业务-货位调整分页
export function getLocationAdjustmentPage(query) {
  return request({
    url: "/rtkwms/location-adjustment/toPage",
    method: "get",
    params: query,
  });
}

// 导出WMS库内业务-货位调整 Excel
export function exportLocationAdjustmentExcel(query) {
  return request({
    url: "/wms/location-adjustment/export-excel",
    method: "get",
    params: query,
    responseType: "blob",
  });
}

// 货位调整
export function LocationAdjustment(data) {
  return request({
    url: "/rtkwms/location-adjustment/adjust",
    method: "post",
    data: data,
  });
}

// 仓库调拨
export function stockTransfer(data) {
  return request({
    url: "/rtkwms/material-demolition-batch/stockTransfer",
    method: "post",
    data: data,
  });
}
